<template>
  <router-view></router-view>
  <div class="loading" v-show="loading" role="alert">
    <loading></loading>
  </div>
</template>

<script>

import { mapActions } from 'vuex';
import Loading from '@/components/UI/atoms/Loading.vue';

export default {
  components: {
    Loading,
  },
  data() {
    return {
      loading: false,
    };
  },
  methods: {
    ...mapActions('auth', ['tryLogIn']),
  },

  async created() {
    this.loading = true;
    this.$store.dispatch('subjects/getSubjects')
      .then(() => this.$store.dispatch('trajectories/getTrajectories'))
      // eslint-disable-next-line no-return-assign
      .finally(() => (
        this.loading = false));
  },
};
</script>

<style lang="scss">
.loading{
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(1, 1, 1, 0.2);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
</style>
